From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/bcrypt_pbkdf/
Date: Wed, 30 Jun 2021 06:56:45 +0000 (UTC) [thread overview]
Message-ID: <1625036187.de611c8df53b07f1f90e6eeb796cb10f3efb0f63.graaff@gentoo> (raw)
commit: de611c8df53b07f1f90e6eeb796cb10f3efb0f63
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 27 06:17:01 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jun 30 06:56:27 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de611c8d
dev-ruby/bcrypt_pbkdf: fix extension install
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild | 39 ++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild b/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild
new file mode 100644
index 00000000000..c3b9ee664f0
--- /dev/null
+++ b/dev-ruby/bcrypt_pbkdf/bcrypt_pbkdf-1.1.0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/mri/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements bcrypt_pdkfd (a variant of PBKDF2 with bcrypt-based PRF)"
+HOMEPAGE="https://github.com/net-ssh/bcrypt_pbkdf-ruby"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( virtual/ruby-ssl )"
+
+all_ruby_prepare() {
+ # Don't use a ruby-bundled version of libsodium
+ sed -i -e '/rbnacl\/libsodium/ s:^:#:' test/bcrypt_pnkdf/engine_test.rb || die
+
+ # Avoid unneeded rake-compiler dependency
+ sed -e '/extensiontask/ s:^:#:' -e '/ExtensionTask/,/^end/ s:^:#:' \
+ -e '/bundler/ s:^:#:' \
+ -i Rakefile || die
+}
+
+each_ruby_configure() {
+ each_fakegem_configure
+ # Some methods may not be inlined on x86 but they are not defined either, bug 629164
+
+ sed -i -e 's:-Wl,--no-undefined::' ext/mri/Makefile || die
+}
next reply other threads:[~2021-06-30 6:56 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-30 6:56 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-30 7:58 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/bcrypt_pbkdf/ Hans de Graaff
2024-12-30 7:58 Hans de Graaff
2024-09-12 16:16 Jakov Smolić
2024-09-11 14:15 Sam James
2024-09-09 11:11 Sam James
2024-09-09 11:11 Sam James
2024-05-20 7:07 Hans de Graaff
2024-01-10 7:44 Hans de Graaff
2023-07-08 8:59 Hans de Graaff
2023-04-17 9:46 Sam James
2023-04-17 9:35 Sam James
2023-04-17 9:35 Sam James
2023-04-17 9:35 Sam James
2023-03-13 7:14 Hans de Graaff
2022-08-17 15:39 Sam James
2022-03-31 5:39 Hans de Graaff
2021-09-25 8:49 Hans de Graaff
2021-09-25 5:18 Agostino Sarubbo
2021-09-22 6:58 Agostino Sarubbo
2021-09-20 6:26 Agostino Sarubbo
2021-09-19 21:35 Agostino Sarubbo
2021-07-06 7:49 Hans de Graaff
2021-06-30 6:56 Hans de Graaff
2021-01-06 6:21 Hans de Graaff
2020-02-09 15:07 Hans de Graaff
2019-04-06 5:56 Hans de Graaff
2019-01-19 14:48 Hans de Graaff
2018-11-26 15:44 Rick Farina
2018-07-30 19:44 Hans de Graaff
2018-06-27 22:15 Sergei Trofimovich
2018-06-26 2:04 Aaron Bauman
2018-05-03 4:42 Hans de Graaff
2018-04-08 9:13 Sergei Trofimovich
2018-04-02 6:55 Hans de Graaff
2018-03-13 22:39 Sergei Trofimovich
2018-02-16 10:31 Hans de Graaff
2018-02-11 21:56 Thomas Deutschmann
2017-06-10 7:31 Hans de Graaff
2017-02-27 6:52 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1625036187.de611c8df53b07f1f90e6eeb796cb10f3efb0f63.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox